package cn.wustlinghang.wusthelper.web.entity;

import java.util.StringJoiner;

public enum CookieType {
    UNDERGRAD(0, "本科生"),
    GRADUATE(1, "研究生"),
    LIBRARY(2, "图书馆"),
    PHYSICS(3, "物理实验"),;

    private final int code;

    private final String message;

    CookieType(int id, String describe) {
        this.code = id;
        this.message = describe;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", CookieType.class.getSimpleName() + "[", "]")
                .add("code=" + code)
                .add("message='" + message + "'")
                .toString();
    }
}