package cn.wustlinghang.wusthelper.web.service.campus.undergrad;

import cn.wustlinghang.wusthelper.web.entity.CookieType;
import cn.wustlinghang.wusthelper.web.rpc.undergrad.CourseTableRemote;
import cn.wustlinghang.wusthelper.web.service.cookie.CookieManager;
import cn.wustlinghang.mywust.data.global.Course;
import cn.wustlinghang.wusthelper.internal.rpc.response.RpcCommonResponseCode;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CourseTableService {
    private final CourseTableRemote courseTableRemote;

    private final CookieManager cookieManager;

    public CourseTableService(CourseTableRemote courseTableRemote, CookieManager cookieManager) {
        this.courseTableRemote = courseTableRemote;
        this.cookieManager = cookieManager;
    }

    public List<Course> getCourseTable(String user, String term) {
        String cookie = cookieManager.getCookie(user, CookieType.UNDERGRAD);
        var coursesResponse = courseTableRemote.get(cookie, term);
        if (coursesResponse.code() != RpcCommonResponseCode.SUCCESS.getCode()) {
            return null;
        }

        // todo 异步存用户课表，异常判断等等
        return coursesResponse.data();
    }
}
