package cn.wustlinghang.wusthelper.web.service.campus.undergrad;

import cn.wustlinghang.wusthelper.web.entity.CookieType;
import cn.wustlinghang.wusthelper.web.rpc.undergrad.CreditStatusRemote;
import cn.wustlinghang.wusthelper.web.service.cookie.CookieManager;
import cn.wustlinghang.wusthelper.internal.rpc.response.RpcCommonResponseCode;
import org.springframework.stereotype.Service;

@Service
public class CreditStatusService {
    private final CreditStatusRemote creditStatusRemote;
    private final CookieManager cookieManager;

    public CreditStatusService(CreditStatusRemote creditStatusRemote, CookieManager cookieManager) {
        this.creditStatusRemote = creditStatusRemote;
        this.cookieManager = cookieManager;
    }

    public String getCreditStatus(String user) {
        String cookie = cookieManager.getCookie(user, CookieType.UNDERGRAD);
        var response = creditStatusRemote.get(cookie);
        if (response.code() != RpcCommonResponseCode.SUCCESS.getCode()) {
            return null;
        }

        // todo 异步存用户课表，异常判断等等
        return response.data();
    }
}
