package cn.wustlinghang.wusthelper.web.service.campus.undergrad;

import cn.wustlinghang.wusthelper.web.rpc.undergrad.ExamDelayApplicationRemote;
import cn.wustlinghang.wusthelper.web.entity.CookieType;
import cn.wustlinghang.wusthelper.web.service.cookie.CookieManager;
import cn.wustlinghang.mywust.data.undergrad.ExamDelayApplication;
import cn.wustlinghang.wusthelper.internal.rpc.response.RpcCommonResponseCode;
import org.springframework.stereotype.Service;

@Service
public class ExamDelayApplicationService {
    private final ExamDelayApplicationRemote examDelayApplicationRemote;
    private final CookieManager cookieManager;

    public ExamDelayApplicationService(ExamDelayApplicationRemote examDelayApplicationRemote,
                                       CookieManager cookieManager) {
        this.examDelayApplicationRemote = examDelayApplicationRemote;
        this.cookieManager = cookieManager;
    }

    public ExamDelayApplication getExamDelayApplication(String user, String term, String activityId) {
        String cookie = cookieManager.getCookie(user, CookieType.UNDERGRAD);
        var response = examDelayApplicationRemote.get(cookie, term, activityId);
        if (response.code() != RpcCommonResponseCode.SUCCESS.getCode()) {
            return null;
        }

        // todo 异步存用户课表，异常判断等等
        return response.data();
    }
}
