package cn.wustlinghang.wusthelper.web.service.campus.undergrad;

import cn.wustlinghang.wusthelper.web.entity.CookieType;
import cn.wustlinghang.wusthelper.web.rpc.undergrad.ScoreRemote;
import cn.wustlinghang.wusthelper.web.service.cookie.CookieManager;
import cn.wustlinghang.mywust.data.global.Score;
import cn.wustlinghang.wusthelper.internal.rpc.response.RpcCommonResponseCode;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ScoreService {
    private final ScoreRemote scoreRemote;
    private final CookieManager cookieManager;

    public ScoreService(ScoreRemote scoreRemote, CookieManager cookieManager) {
        this.scoreRemote = scoreRemote;
        this.cookieManager = cookieManager;
    }

    public List<Score> getScore(String user) {
        String cookie = cookieManager.getCookie(user, CookieType.UNDERGRAD);
        var response = scoreRemote.get(cookie);
        if (response.code() != RpcCommonResponseCode.SUCCESS.getCode()) {
            return null;
        }

        // todo 异步存用户课表，异常判断等等
        return response.data();
    }
}
