package cn.wustlinghang.wusthelper.web.service.campus.undergrad;

import cn.wustlinghang.wusthelper.web.rpc.undergrad.StudentInfoRemote;
import cn.wustlinghang.wusthelper.web.entity.CookieType;
import cn.wustlinghang.wusthelper.web.service.cookie.CookieManager;
import cn.wustlinghang.mywust.data.global.StudentInfo;
import cn.wustlinghang.wusthelper.internal.rpc.response.RpcCommonResponseCode;
import org.springframework.stereotype.Service;

@Service
public class StudentInfoService {
    private final StudentInfoRemote studentInfoRemote;
    private final CookieManager cookieManager;

    public StudentInfoService(StudentInfoRemote studentInfoRemote, CookieManager cookieManager) {
        this.studentInfoRemote = studentInfoRemote;
        this.cookieManager = cookieManager;
    }

    public StudentInfo getStudentInfo(String user) {
        String cookie = cookieManager.getCookie(user, CookieType.UNDERGRAD);
        var response = studentInfoRemote.get(cookie);
        if (response.code() != RpcCommonResponseCode.SUCCESS.getCode()) {
            return null;
        }

        // todo 异步存用户课表，异常判断等等
        return response.data();
    }
}
