package cn.wustlinghang.wusthelper.web.service.campus.undergrad;

import cn.wustlinghang.wusthelper.web.rpc.undergrad.TrainingPlanRemote;
import cn.wustlinghang.wusthelper.web.entity.CookieType;
import cn.wustlinghang.wusthelper.web.service.cookie.CookieManager;
import cn.wustlinghang.wusthelper.internal.rpc.response.RpcCommonResponseCode;
import org.springframework.stereotype.Service;

@Service
public class TrainingPlanService {
    private final TrainingPlanRemote trainingPlanRemote;
    private final CookieManager cookieManager;

    public TrainingPlanService(TrainingPlanRemote trainingPlanRemote, CookieManager cookieManager) {
        this.trainingPlanRemote = trainingPlanRemote;
        this.cookieManager = cookieManager;
    }

    public String getTrainingPlan(String user) {
        String cookie = cookieManager.getCookie(user, CookieType.UNDERGRAD);
        var response = trainingPlanRemote.get(cookie);
        if (response.code() != RpcCommonResponseCode.SUCCESS.getCode()) {
            return null;
        }

        // todo 异步存用户课表，异常判断等等
        return response.data();
    }
}
