package cn.wustlinghang.wusthelper;

import org.junit.jupiter.api.extension.ExtendWith;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.test.context.TestPropertySource;
import org.springframework.test.context.junit.jupiter.SpringExtension;

@EnableAsync
@Configuration
@EnableScheduling
@ExtendWith(SpringExtension.class)
@EnableFeignClients(basePackages = {"cn.wustlinghang.wusthelper.web.rpc"})
@TestPropertySource(properties = {
        "spring.config.location=classpath:application-test.yml"
})
@SpringBootApplication(scanBasePackages = {
        // 指定springboot的bean扫描路径，有新增请及时更新
        "cn.wustlinghang.wusthelper.data",
        "cn.wustlinghang.wusthelper.web",
})
@MapperScan("cn.wustlinghang.wusthelper.data.dao.mapper")
public class TestMain {
}
