package cn.wustlinghang.wusthelper.internal.rpc.response;

public record RpcResponseDto<T>(int code, String msg, T data) {
    public static <T> RpcResponseDto<T> success(T data) {
        return new RpcResponseDto<>(RpcCommonResponseCode.SUCCESS.getCode(), "ok", data);
    }

    public static <T> RpcResponseDto<T> success() {
        return success(null);
    }

    public static <T> RpcResponseDto<T> error(int code, String message) {
        return new RpcResponseDto<>(code, message, null);
    }

    public static <T> RpcResponseDto<T> error(RpcCommonResponseCode code) {
        return error(code.getCode(), code.getMessage());
    }
}